Bug 484486 - Review Request: perl-DateTime-Format-Excel - Convert between DateTime and Excel dates
Review Request: perl-DateTime-Format-Excel - Convert between DateTime and Exc...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-07 03:32 EST by Chris Weyl
Modified: 2009-02-14 13:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-14 13:45:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-07 03:32:50 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Format-Excel.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DateTime-Format-Excel-0.2901-1.fc10.src.rpm

Excel uses a different system for its dates than most Unix programs.
This module allows you to convert between a few of the Excel raw formats
and DateTime objects, which can then be further converted via any of
the other DateTime::Format::* modules, or just with DateTime's
methods.If you happen to be dealing with dates between 1 Jan 1900 and 1
Mar 1900 please read the notes on EPOCHS. If you're wanting to handle
actual spreadsheet files, you may find the Spreadsheet::WriteExcel
manpage and the Spreadsheet::ParseExcel manpage of use.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1110940
Comment 1 Parag AN(पराग) 2009-02-11 07:56:41 EST
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
- source files match different upstream url
d2f1934833c247b50088fd7999efee04  DateTime-Format-Excel-0.2901.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=3, Tests=77,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.34 cusr  0.02 csys =  0.38 CPU)
+ Package  perl-DateTime-Format-Excel-0.2901-1.fc11->
Provides: perl(DateTime::Format::Excel) = 0.2901
Requires: perl >= 0:5.005 perl(Carp) perl(DateTime) >= 0.1705 perl(strict) perl(vars)

1) fix source url to 
Comment 2 Chris Weyl 2009-02-11 10:04:02 EST
New Package CVS Request
Package Name: perl-DateTime-Format-Excel
Short Description: Convert between DateTime and Excel dates
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-13 01:58:50 EST
cvs done.
Comment 4 Chris Weyl 2009-02-14 13:45:08 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.